import { HttpService } from '../core/http.service';
import * as i0 from "@angular/core";
export declare class TechlifyUpdateService {
    private http;
    constructor(http: HttpService);
    getTechlifyUpdates(filters: any): Promise<Object>;
    createTechlifyUpdate(techlifyUpdate: any): Promise<Object>;
    updateTechlifyUpdate(techlifyUpdate: any): Promise<Object>;
    deleteTechlifyUpdate(techlifyUpdateId: any): Promise<Object>;
    getTechlifyUpdate(techlifyUpdateId: any): Promise<Object>;
    getNewUpdateForCurrentUser(): Promise<Object>;
    createUpdateViewRecord(techlifyUpdateView: any): Promise<Object>;
    updateCurrentUserUpdates(): Promise<Object>;
    static ɵfac: i0.ɵɵFactoryDeclaration<TechlifyUpdateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<TechlifyUpdateService>;
}
